<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<title>Hello World!</title>
	<link type="text/css" rel="stylesheet" href="css\style.css">
	<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
	<script type="text/javascript" src="./functions.js"></script>
	<meta name="viewport" content="width=device-width, initial-scale=1">
</head>
<body>

	<p id="xval">first</p>
	<p id="yval">second</p>
	<p id="speed">speed</p>
	<script  type="text/javascript" src="http://koda.nu/simple.js">
	var color = "black";

	var x = 100; // Black Player X
	var y = 100; // Black PLayer Y
	var xs = 150; // White Player X
	var ys = 150; //White Player Y
	var rad = 20; //Radius of Black Players
	var rads = 10; //Radius of White Players
	var speed=5; //speed(OBVIUSLY)
	function update ()
	{
		clearScreen();
		circle(x, y, rad, color);
		circle(xs+30, ys+30, rads, color);
		ring(xs, ys, rad, color);

		document.getElementById("xval").innerHTML = x;
		document.getElementById("yval").innerHTML = y;
		document.getElementById("speed").innerHTML = speed;

		if(keyboard.a)
		{
			x -= speed;
		}
		if(keyboard.w)
		{
			y -= speed;
		}
		if(keyboard.s)
		{
			y += speed;
		}
		if(keyboard.d)
		{
			x += speed;
		}


		if(keyboard.left)
		{
			xs -= speed;
		}
		if(keyboard.up)
		{
			ys -= speed;
		}
		if(keyboard.down)
		{
			ys += speed;
		}
		if(keyboard.right)
		{
			xs += speed;
		}
		if (x==xs && y==ys)
		{
		alert(x,y,xs,ys);
	}
	/*
	if(ys == y  && xs == x)
	{
		if(rad < rads){

		}
		if(rads < rad){

		}
	}
	*/

	if(keyboard.eight)
	{
		speed += 5;
	}
	if(keyboard.two)
	{
		speed -= 5;
	}

	if (x==0)
	{
		x=100;
	}
	if (y==0)
	{
		y=100;
	}
	if (xs==0)
	{
		xs=100;
	}
	if (ys==0)
	{
		ys=100;
	}

	if (x==700)
	{
		x=50;
	}
	if (y==600)
	{
		y=50;
	}
	if (xs==700)
	{
		xs=50;
	}
	if (ys==600)
	{
		ys=50;
	}

}

</script>
<script type="text/javascript">
// You can also require other files to run in this process
require("./renderer.js")
</script>
</body>
</html>
